<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/var/www/installer/public_html/officity-source/apps/system/tools/report/List.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
    require_once(dirname(__FILE__).'/include.php');

    /* *** */

    $TYPE = $_POST['exportFormat'];
    if (empty($TYPE))
    {
        die('ERROR: no export type!');
    }

    $MODULE = $_POST['module'];
    if (empty($MODULE))
    {
        die('ERROR: no module specified!');
    }
    
    $APPLY = $_POST['apply'];
    if (empty($APPLY))
    {
        $APPLY = 'all,search';
    }

    /* *** */

    $nql = new Officity_Shell();

    $report = new ReportElement();
    $report->setSearchInfo('MODEL', '=', 1);
    $report->setSearchInfo('TYPE', '=', $TYPE);
    $report->setSearchInfo('MODULE', '=', $MODULE);
    $report->setSearchInfo('APPLY', 'in', $APPLY);
    
    $report->search('list', false);
    $nql_command = $report->getNQLCommand();

    $nql->addCommand($nql_command);
    $nql->execute();

    echo $nql->transform(dirname(__FILE__).'/List.xsl');
?>